import axios from 'axios';
import global from '../Global.js'

// 基础方法进行封装
function getApiBasic(url, postdata) {
    return axios.post(url, postdata).then(function (data) {
        let json = data.data;
        return json
    }, function (response) {
        console.info(response);
    })
}

// 获取当前版本
export function getCheckUpdate(postdata) {
    let url = headapi + 'getUserList';
    return getApiBasic(url, postdata);
}

// 调用的api改写成方法
export function getUserList(postdata) {
    let url = headapi + 'UserList';
    return getApiBasic(url, postdata);
}

// 上课中学生信息
// 11-20 竞技课用GroupNo来分组
export function getHello(postdata) {
    let url = headapi + 'UserListInfo';
    return getApiBasic(url, postdata);
}

// 上课中学生信息
// export function getHello(postdata) {
//     let url =  'http://192.168.74.1:9000/getUserListInfo';
//     return getApiBasic(url, postdata);
// }

// 是否开始上课的状态
// ClassType为课程类型
// 1：团课
// 2：竞技课PK
// 3：私教课
export function getClassStat(postdata) {
    let url = headapi + 'ClassStatQuery';
    // console.log("url="+url);
    return getApiBasic(url, postdata);
}

// 新纪录彩蛋
export function getRecordBreak(postdata) {
    let url = headapi + 'getRecordBreak';
    return getApiBasic(url, postdata);
}

// 获取打分结果
export function getActionScore(postdata) {
    let url = headapi + 'getActionScore';
    return getApiBasic(url, postdata);
}

// // 英雄榜和个人破纪录查询
// export function HerosRankingQuery(postdata) {
//     // let url = 'http://192.168.0.236:19096/v1/Sensors/HerosRankingQuery';
//     let url = '/bpi/v1/Sensors/HerosRankingQuery';
//     return getApiBasic(url, postdata);
// }
//
// // 卡路里场馆统计（分月度、周统计,TV左上角统计）
// export function CalorieStatsQuery(postdata) {
//     let url = '/bpi/v1/Sensors/CalorieStatsQuery';
//     return getApiBasic(url, postdata);
// }
//
// // 用户排名查询（Tv待机页面右侧排名）
// export function UserRankingQuery(postdata) {
//     let url = '/bpi/v1/Sensors/UserRankingQuery';
//     return getApiBasic(url, postdata);
// }


// 英雄榜和个人破纪录查询
export function HerosRankingQuery(postdata) {
    let url = headapi + 'HerosRankingQuery';
    return getApiBasic(url, postdata);
}

// 卡路里场馆统计（分月度、周统计,TV左上角统计）
export function CalorieStatsQuery(postdata) {
    let url = headapi + 'CalorieStatsQuery';
    return getApiBasic(url, postdata);
}

// 用户排名查询（Tv待机页面右侧排名）
export function UserRankingQuery(postdata) {
    let url = headapi + 'UserRankingQuery';
    return getApiBasic(url, postdata);
}

// 11-20 新增
// 课堂记录排名 下课后查询当堂课程人员排名
export function ClassUserRank(postdata) {
    let url = headapi + 'ClassUserRank';    
    return getApiBasic(url, postdata);
}

// 用查询最新wgt版本
export function QueryVueFramework(postdata, testMode=false) {
    let url = '';
    if (!testMode)  //正式版
        url = updateUrl + 'QueryVueFrameworkV2';
    else    //测试版
        url = 'http://192.168.0.3:19096/v1/Sensors/QueryVueFrameworkV2';
        // url = 'http://192.168.0.60:19096/v1/Sensors/QueryVueFrameworkV2';
    return getApiBasic(url, postdata);
}

// 下载最新wgt版本
export function DownloadVueFramework(testMode=false) {
    let url = '';
    if (!testMode)  //正式版
        url = updateUrl + 'DownloadVueFrameworkV2?vfType=3';
    else    //测试版
        url = 'http://192.168.0.3:19096/v1/Sensors/DownloadVueFrameworkV2?vfType=3';
        // url = 'http://192.168.0.60:19096/v1/Sensors/DownloadVueFrameworkV2?vfType=3';
    return url;
}

// // 下载最新wgt版本
// export function DownloadVueFramework(postdata) {
//     // let url = updateUrl + 'DownloadVueFrameworkV2';
//     let url = 'http://192.168.0.3:19096/v1/Sensors/DownloadVueFrameworkV2';
//     return getApiBasic(url, postdata);
// }

// 12/13 欢迎新同学
export function getNewUser(postdata) {
    let url = headapi + 'getNewUser';
    return getApiBasic(url, postdata);
}

// 12/17
// 竞技课程结果上传
export function AddPkInfo(postdata) {
    let url = headapi + 'AddPkInfo';
    return getApiBasic(url, postdata);
}
